package p04_instrukcje;

import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Bagaz_v6 {

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		System.out.print("Podaj 3 liczby - wymiary bagażu: ");
		int x = scanner.nextInt();
		int y = scanner.nextInt();
		int z = scanner.nextInt();
		int obj = x*y*z;
		
		// informacje o błędach zostaną zebrane do listy
		List<String> listaBledow = new ArrayList<>();
		
		if(x > 50) {
			listaBledow.add("x zbyt duży");
		}
		if(y > 50) {
			listaBledow.add("y zbyt duży");
		}
		if(z > 50) {
			listaBledow.add("z zbyt duży");
		}
		if(obj > 50000) {
			listaBledow.add("objętość za duża");
		}
		
		if(listaBledow.isEmpty()) {
			System.out.println("Bagaż zaakceptowany");
			System.out.println("Otwieram bramki");
		} else {
			System.out.println("Wystąpiły problemy w liczbie " + listaBledow.size());
			for(String blad : listaBledow) {
				System.out.println(" * " + blad);
			}
		}
	}

}
